#ifndef _GEMLIB_H
#define _GEMLIB_H

typedef struct _gemini_request {
	char request_content[1024];
	char hostname[256];
	char scheme[64];
	char path[1024];
	char answer_code[2];
	char answer_meta[2];
	char answer_content[8192];
} Request;

Request *examineRequest(const char *request_content);

void requestTheServer(Request *request, FILE *answerFile);

void initSSL (void);

int getGem (const char *URL, FILE *answerFile);

#endif
